Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 579316 (CVE-2016-0764)

Summary: <net-misc/networkmanager-1.0.12-r1: Race condition allowing info leak
Product: Gentoo Security Reporter: Agostino Sarubbo <ago>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: minor CC: gnome
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://bugzilla.redhat.com/show_bug.cgi?id=1324025
Whiteboard: B4 [noglsa]
Package list:
Runtime testing required: ---

Description Agostino Sarubbo gentoo-dev 2016-04-08 09:36:16 UTC
From ${URL} :

A race condition that could disclose connection secrets to authenticated local users when changing 
ifcfg and keyfile connections was found.

External Reference:

https://mail.gnome.org/archives/networkmanager-list/2016-April/msg00000.html


@maintainer(s): since the fixed package is already in the tree, please let us know if it is ready for the stabilization or not.
Comment 1 Pacho Ramos gentoo-dev 2016-04-08 13:14:58 UTC
If I understand correctly, this is solved in 1.0.12 (in the tree and ready for stabilization if needed)
Comment 2 Pacho Ramos gentoo-dev 2016-04-08 13:17:03 UTC
Sorry for the redundant comment, I was confused by summary not specifying that it was affecting versions < 1.0.12

but yeah, I see no issues stabilizing this version
Comment 3 Agostino Sarubbo gentoo-dev 2016-04-11 10:21:35 UTC
amd64 stable
Comment 4 Agostino Sarubbo gentoo-dev 2016-04-11 10:41:16 UTC
x86 stable
Comment 5 Pacho Ramos gentoo-dev 2016-04-16 11:13:03 UTC
Please do -r1 as it fixes connection problems with some wifi devices
Comment 6 Markus Meier gentoo-dev 2016-04-19 15:50:15 UTC
arm stable
Comment 7 Agostino Sarubbo gentoo-dev 2016-04-20 08:56:14 UTC
amd64 stable
Comment 8 Agostino Sarubbo gentoo-dev 2016-06-27 08:49:35 UTC
x86 stable
Comment 9 Agostino Sarubbo gentoo-dev 2016-07-08 07:56:21 UTC
ppc stable
Comment 10 Agostino Sarubbo gentoo-dev 2016-07-08 11:03:05 UTC
ppc64 stable.

Maintainer(s), please cleanup.
Security, please vote.
Comment 11 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-10-14 13:49:41 UTC
Tree is clean.

GLSA Vote: No